#include <chronoptics/tof/csf_camera.hpp>

namespace tof = chronoptics::tof;

int main() {
  /* CSF file to read from */
  const char* csfFile = "frames.csf";

  /* Config file to use. If the config file can't be found then a
     default one will be used */
  const char* configFile = "";

  /* Frame types to capture */
  const std::vector<tof::FrameType> types = {tof::FrameType::Z};

  tof::CsfCamera cam(tof::ProcessingConfig{configFile}, csfFile);
  tof::select_streams(cam, types);

  cam.start();
  std::vector<tof::Data> frames = cam.get_frames();
  cam.stop();
}
